> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.ovrsea.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a location

> Creates a location in the account's address book.



## OpenAPI

````yaml /openapi.json post /v1/locations
openapi: 3.1.0
info:
  title: OVRSEA API
  version: 1.3.2
servers:
  - url: https://api.cf.ovrsea.com
security: []
paths:
  /v1/locations:
    post:
      tags:
        - Locations
      summary: Create a location
      description: Creates a location in the account's address book.
      requestBody:
        content:
          application/json:
            schema:
              properties:
                additional_information:
                  type: string
                  example: Please avoid Friday after 4pm
                address:
                  example: 357 allée des Tilleuls
                  minLength: 1
                  type: string
                city:
                  example: Saint Quentin Fallavier
                  minLength: 1
                  type: string
                client_reference:
                  description: >-
                    Your own identifier for the location. Unique among the
                    active locations of the account.
                  example: WH-LYS-01
                  minLength: 1
                  type: string
                country:
                  description: ISO 3166-1 alpha-2 country code.
                  example: FR
                  pattern: ^[A-Za-z]{2}$
                  type: string
                name:
                  description: Defaults to the city.
                  example: Saint Quentin warehouse
                  type: string
                opening_hours:
                  type: string
                  example: Monday to Friday 8am to 5pm
                requires_appointment:
                  type: boolean
                  description: >-
                    Specifies if appointments are required for loading and
                    unloading at this location.
                requires_tailgate_truck:
                  description: Specifies if liftgate trucks are required for this location.
                  type: boolean
                state:
                  type: string
                  description: State or province code.
                  example: NY
                zip_code:
                  example: '69300'
                  type: string
              required:
                - address
                - city
                - country
              type: object
        required: true
      responses:
        '201':
          description: The created location.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Location'
        '400':
          description: A required field is missing or a field is invalid.
          content:
            application/json:
              schema:
                description: A required field is missing or a field is invalid.
                type: string
        '409':
          description: >-
            An active location of the account already holds this client
            reference or, without one, this name at this address.
          content:
            application/json:
              schema:
                description: >-
                  An active location of the account already holds this client
                  reference or, without one, this name at this address.
                properties:
                  existing_location_id:
                    description: The location to use instead, when the token can read it.
                    example: '12345'
                    type: string
                  message:
                    type: string
                required:
                  - message
                type: object
components:
  schemas:
    Location:
      type: object
      modelName: Location
      properties:
        id:
          type: string
          example: 12345
        company_name:
          type: string
          example: Logistics WorldWide Co
        name:
          type: string
          example: Saint Quentin warehouse
        client_reference:
          type: string
          description: Your own identifier for the location.
          example: WH-LYS-01
        address:
          type: string
          example: 357 allée des Tilleuls
        city:
          type: string
          example: Saint Quentin Fallavier
        zip_code:
          type: string
          example: 69300
        state:
          type: string
          description: State or province code.
          example: NY
        country:
          type: string
          example: FR
        contacts:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                example: Thierry Henriet
              email:
                type: string
                example: log@patagonia.com
              phone:
                type: string
                example: 33134567891
        opening_hours:
          type: string
          example: Monday to Friday 8am to 5pm
        requires_appointment:
          type: boolean
          description: >-
            Specifies if appointments are required for loading and unloading at
            this location.
        requires_tailgate_truck:
          type: boolean
          description: Specifies if liftgate trucks are required for this location.
          example: false
        additional_information:
          type: string
          example: Please avoid Friday after 4pm

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.